# SourcePath: grep/20070308dev
Summary: GNU grep, egrep and fgrep.
Name: sony-target-dev-grep
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-grep
Version: 2.5.1a
Release: 08000101
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/grep
Source: grep-%{version}.tar.bz2
Patch : grep-2.5.1a-diff
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
The GNU family of grep utilities may be the "fastest grep in the west".
GNU grep is based on a fast lazy-state deterministic matcher (about
twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
search for a fixed string that eliminates impossible text from being
considered by the full regexp matcher without necessarily having to
look at every character. The result is typically many times faster
than Unix grep or egrep. (Regular expressions containing backreferencing
will run more slowly, however.)

%package -n %{pkgname}
Summary: GNU grep, egrep and fgrep.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The GNU family of grep utilities may be the "fastest grep in the west".
GNU grep is based on a fast lazy-state deterministic matcher (about
twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
search for a fixed string that eliminates impossible text from being
considered by the full regexp matcher without necessarily having to
look at every character. The result is typically many times faster
than Unix grep or egrep. (Regular expressions containing backreferencing
will run more slowly, however.)

%prep
%setup -q -n grep-%{version}
%patch -p1

%build
%sony_target_dev_setup
export ac_cv_lib_pcre_pcre_exec=no

%sony_target_dev_configure --disable-perl-regexp
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
gzip -9 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/grep.1
ln -s grep.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/egrep.1.gz
ln -s grep.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/fgrep.1.gz
gzip -9 %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}/grep.info

# busybox cat conflict
# install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
# mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/* %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin

install -m 755 ../debian/rgrep %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/rgrep
ln -s grep.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/rgrep.1.gz

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/grep
%{sony_target_dir}%{sony_target_dev_bin_dir}/egrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/fgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/rgrep

%changelog
* Thu Mar 08 2007 Sony Corporation
- Version update to 2.5.1a

* Fri Apr 28 2005 Sony Corporation - 2.4.2-1
- fix command path

* Thu Nov 18 2004 Sony Corporation - 2.4.2-1
- delete online manual

* Fri Aug 27 2004 Sony Corporation - 2.4.2-1
- Conformed to 20040825-rule

* Wed Aug  4 2004 Sony Corporation - dev-grep
- Initial build.
